//
import java.io.*;
import javax.microedition.io.*;
import java.util.*;

//#ifdef DOJA	//DOJA

import com.nttdocomo.ui.*;
import com.nttdocomo.io.*;

//#endif

public class Command {	//2܂ł̓\T|[g
	public static final int SCREEN	= 1;
	public static final int BACK	= 2;
	public static final int CANCEL	= 2;
	public static final int OK		= 2;
	public static final int HELP	= 2;
	public static final int STOP	= 2;
	public static final int EXIT	= 2;
	public static final int ITEM	= 2;

	static int s;
	static String l1, l2;
	static Frame frame;
	
	int priority;
	String label;
	
	Command(String str, int commandType, int p){
		label = str;
		p = priority;
	}
	
	static void setFrame(Frame f){
		frame = f;
	}
	
	static void addCommand(Command cmd){
		if((s & 0x01) == 0){
			s |= 0x01;
			frame.setSoftLabel(Frame.SOFT_KEY_1, cmd.label);
			l1 = cmd.label;
		} else if((s & 0x02) == 0){
			s |= 0x02;
			frame.setSoftLabel(Frame.SOFT_KEY_2, cmd.label);
			l2 = cmd.label;
		}
	}
	
	static void removeCommand(Command cmd){
		if((s & 0x01) != 0 && l1.equals(cmd.label)){
			frame.setSoftLabel(Frame.SOFT_KEY_1, null);
			l1 = null;
			s ^= 0x01;
		} else if((s & 0x02) != 0 && l2.equals(cmd.label)){
			frame.setSoftLabel(Frame.SOFT_KEY_2, null);
			l2 = null;
			s ^= 0x02;
		}
	}

}
